PT BMS MIGRATION & ENHANCEMENT - Feature #673

[ PA ] Report Personal Data
12/23/2021 04:41 PM - ericsson ericsson

Status: Closed

Priority: High

Assignee: ericsson ericsson
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

12/23/2021
12/24/2022
0%

0.00 hour
0.00 hour

Description
Dear, Team Developer.

Mohon bantuannya untuk menambahkan field pada report personal data (ReportID=9000026)

Berikut field yang harus ditambahkan :

1. FieldName = FirstTitle ditable PHRPAQ00O01
2. FieldName = LastTitle ditable PHRPAO00O1

Port : hitp://remote.minovais.com:31134
Db : MinovaES_BankMegaSyariah_Dev
Server 77 || 2012

Terima Kasih.

History

#1 - 12/23/2021 04:42 PM - ericsson ericsson

- Status changed from New to Assigned

#2 - 12/27/2021 10:45 AM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to fernando sergio rumbayan
udah bisa di test

makasih

#3 - 12/28/2021 03:31 PM - fernando sergio rumbayan

- File clipboard-202112281531-gv6pv.png added

- Status changed from QA Test to New

- Assignee changed from fernando sergio rumbayan to M Azid Wahyudi
Dear Azid,

Terjadi Eror mang Azid pas mau di testing.
#4 - 12/29/2021 09:40 AM - M Azid Wahyudi
- File clipboard-202112290938-csdke.png added
- Status changed from New to QA Test

- Assignee changed from M Azid Wahyudi to fernando sergio rumbayan
Date Spesification

Education No |Employee ID 3 Full Name External ID KTP Gender Place Of Birth Date Of Birth Religion Marital Status First Title L:
1. |00000C01 Munif Noviar 00.0036.1.67 Pria Jakarta 04/11/1887 Married none none
2. | 00000002 Chay Saptyaning Dhyna 00.0020.2 61 Waritz Yogyakarta 08/12/1061 Married none nene

kemarin tidak bisa karena di batasi sama masbin limit sp nya
coba test lagi

makasih

#5 - 01/03/2022 09:26 AM - ericsson ericsson
- File clipboard-202201030923-xbn7c.png added

Dear, Mang azid.

untuk report personal data, masih ada data yang belum ketarik, diantaranya :
1. Religion
2. KTP

1. Untuk Religion bisa get data dari table PHRPA0001=Religion
2. Untuk KTP bisa get data dari table PHRPA0001=IDCard
Import Employee Data
Export Employse Data loyee 1D+ Full Name External | KTP Gender Place Of Birth Date Of Birth Religion Marital Status First Title Last Title
Delete Employee Data 0001 Whunif Noviar 90.0036.1.57) Ffa Jakerta 041111857 Wrried none none
0002 Chay Saptyaning Dhyna 90.0020.251) wnits “fogyakarta 08121281 Wrriad none none
0002 Laksmy Fermynasari 90.0020.2.54 vinits Jakarta 001211254 Wprriad none none
Address
0004 Tunggul Marjoko. S 20.0037.1.55 = Boyolali 05/05/1885 Wrrisd none none
Communication Data
0008 F. Rocky Umbch 0.0010.1.53 A= Jakarts 30/06/1863 Wrmiad none none
Curriculum Vitas
0007 Tri Sugeng Puriadi 60.0020.1.54) = Sursbaya 230111085 Wrmied none none
Date Spesification 10003 riytha Zn Achmad 60.0015.2.59 vtz Cirebon 1510311685 Wrried none none
Education 10008 Ermst Mario Apitule 00.0014.1.5 Ff= Jakarta 10/08/1050 Wpried none none
0010 Kasim Priyario 90.0042.1.54) B3 Cilacap 1611956 Wrried none none
0011 i Suheri 81.0051.1.71 Ffa Sumedang 08071871 Wprried none none
0012 Suprinating 91.0054.1.57) = Kudus ezeaT Wrmad none none -
4

E £ Type here to search

#6 - 01/03/2022 09:26 AM - ericsson ericsson

- Assignee changed from fernando sergio rumbayan to M Azid Wahyudi

#7 - 01/03/2022 09:28 AM - fernando sergio rumbayan
- Due date set to 12/24/2022

- Status changed from QA Test to Revise

#8 - 01/03/2022 10:22 AM - M Azid Wahyudi
- File clipboard-202201031015-i8ypk.png added

- Assignee changed from M Azid Wahyudi to ericsson ericsson

mang erik, data religion tidak tertarik karena datanya fieldnya religionya berbeda seperti di bawah ini
Object Explorer

Connect~ 2 @ m “F EQ

[ Tables
3 Views
[ Synonyms
= [ Programmability
= [ Stored Procedures (filtered)

[ System Stored Procedure
dbo.PRPTPAPERSONALL

3 Functions

5QLCuery4.sql - rem...ariah_Dev (sa (73))* X

5CLCuery2.sql - rem...Arita_D

2 LastTitleDescription as |title

md1.IDCard

select * from PHRPARELIGI

select EmployeelD. FullName, Religion from PHRPAOOO1|

FROM  dbo.PHRPADODT md1

INMER JOIMN dbo.PHRPADOOZ md2 ON md1.EmployeelD = md2 EmployeelD
LEFT OUTER JOIN dbo.PHRPAGENDER. g OMN md1.Gender = g.Gender
IMMER JOIN @TableResult AS It OM ItEmployeelD = md2.EmployeelD

LEFT OUTER JOIN dbo PHRPARELIGI r ON md1.Religion = r.Religion

LEFT OUTER JOIN dbo.PHRPAMSTAT m ON md1.MaritalStatus = m MaritalStatus
LEFT OUTER JOIN dbo.PHRPAFTITLE AS t1 ON ( md1.FirstTitle = t1.FirstTitle )

[ Database Triggers
[ Aszzemblies

£ Types LEFT OUTER JOIMN dbo PHRPALTITLE AS t2 OM ( md1.LastTitle = t2.LastTitle )
£ Rules WHERE ( md1StartDate <= @now )

AND ( md1.EndDate > = @now )
AND [ md2.EmployeelD == @EmployeelDFrom
100 % -~

[ Defaults

3 Plan Guides

3 Sequences
[ Service Broker
[ Storage

[ Results | [y Messages

- StatDate  EndDate Religion  ReligionDescription  Motes CreateBy CreateDate ChangeBy ChangeDate

'—I\?_ SECL'E':)’BEG o 1 99351231 01 Islam Migrasi 20211027  Migrasi 20211027
1 MinovaEs BEG Dev 2 20000101 99991231 02 Kristen Katolic Migsi 20211027 Migras 20211027
| J MinovaES_BBG_Prod . N N

= . 3 20000101 99991231 03 Kristen Protestan Migrasi 20211027 Migrasi 20211027
| ) MinovaES_BWS_Dev - = o
l_-J MinovaES_BYE_Dev 4 20000101 99991231 04 Hindu M?gms? 20211027 M?gms? 20211027
l_'J MinovaE$_Demo 5 20000101 99991231 05 Buddha Migrasi 20211027 Migrasi 20211027
l__J Minovak5_Demo_Client Employeell  FullMame Religion
| J MinovaES_Development_Test 1 Laksmy Femynasai IS
[J MinovaES_External_Testing 2 E Rocky Umboh KK
| J MinovaES_HINO_Dev 9 Munif Noviar IS
U Minovaks Internal 4 0DDDOD02  Choy Sapyaning.. IS
(§ MinovaEs Internal UAT 5 0ODDODD4  Tunggu Maroke.. IS
| J MinovaES_JOIL_Dev v

#9 - 01/03/2022 12:23 PM - fernando sergio rumbayan

- Status changed from Revise to Closed

Dear Azid,

Makasehhh boskuuuu
